/**************************************************************************/
/* GE16 ( ユーザーパラメータ定義 )                                        */
/*                                                                        */
/* Created : 2010/08/02 13:05:57                                          */
/**************************************************************************/
CREATE TABLE GE16 (
   SYSTEM_ID VARCHAR2(10)                 NOT NULL      /* 10  システムID     */
 , USERID    VARCHAR2(10)                 NOT NULL      /* 20  ユーザーID     */
 , PARAM_ID  VARCHAR2(50)                 NOT NULL      /* 30  パラメータID   */
 , PARAM     VARCHAR2(500)                              /* 40  設定値         */
 , FGCRYPT   VARCHAR2(1)      DEFAULT '0' NOT NULL      /* 120 要再起動フラグ */
 , UNIQ      NUMBER(9)        DEFAULT 0   NOT NULL      /* 800 ユニークキー   */
 , FGJ       VARCHAR2(1)      DEFAULT '1' NOT NULL      /* 810 状態フラグ     */
 , DYSET     VARCHAR2(14)                               /* 820 登録日時       */
 , PGSET     VARCHAR2(10)                               /* 830 作成PG         */
 , PGPSET    VARCHAR2(10)                               /* 840 作成親PG       */
 , USRSET    VARCHAR2(10)                               /* 850 作成社員       */
 , DYUPD     VARCHAR2(14)                               /* 860 更新日時       */
 , PGUPD     VARCHAR2(10)                               /* 870 更新PG         */
 , PGPUPD    VARCHAR2(10)                               /* 880 更新親PG       */
 , USRUPD    VARCHAR2(10)                               /* 890 更新者         */
)
TABLESPACE GETBL01
STORAGE( INITIAL 64K NEXT 16K PCTINCREASE 0 );


CREATE SEQUENCE GE16S00 
INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GE16T00 
BEFORE INSERT ON GE16
FOR EACH ROW 
BEGIN 
SELECT GE16S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
END; 
/

